--- old/usr/src/cmd/make/bin/doname.cc	2015-05-20 12:17:18.221462961 -0400
+++ new/usr/src/cmd/make/bin/doname.cc	2015-05-20 12:17:18.243660649 -0400
@@ -61,8 +61,6 @@
 
 #define MAXRULES 100
 
-#define SEND_MTOOL_MSG(cmds) 
-
 // Sleep for .1 seconds between stat()'s
 const int	STAT_RETRY_SLEEP_TIME = 100000;
 
@@ -1773,21 +1771,6 @@
 	int			filed;
 	Name			target = line->body.line.target;
 
-	SEND_MTOOL_MSG(
-		if (!sent_rsrc_info_msg) {
-			if (userName[0] == '\0') {
-				avo_get_user(userName, NULL);
-			}
-			if (hostName[0] == '\0') {
-				strcpy(hostName, avo_hostname());
-			}
-			send_rsrc_info_msg(1, hostName, userName);
-			sent_rsrc_info_msg = 1;
-		}
-		send_job_start_msg(line);
-		job_result_msg = new Avo_MToolJobResultMsg();
-	);
-
 	target->has_recursive_dependency = false;
 	// We have to create a copy of the rules chain for processing because
 	// the original one can be destroyed during .make.state file rereading.
@@ -1819,29 +1802,8 @@
 		    (!rule->silent || do_not_exec_rule) &&
 		    (report_dependencies_level == 0)) {
 			(void) printf("%s\n", rule->command_line->string_mb);
-			SEND_MTOOL_MSG(
-				job_result_msg->appendOutput(AVO_STRDUP(rule->command_line->string_mb));
-			);
 		}
 		if (rule->command_line->hash.length > 0) {
-			SEND_MTOOL_MSG(
-				(void) sprintf(mbstring,
-						NOCATGETS("%s/make.stdout.%d.%d.XXXXXX"),
-						tmpdir,
-						getpid(),
-						file_number++);
-
-				int tmp_fd = mkstemp(mbstring);
-				if(tmp_fd) {
-					(void) close(tmp_fd);
-				}
-
-				stdout_file = strdup(mbstring);
-				stderr_file = NULL;
-				child_pid = pollResults(stdout_file,
-							(char *)NULL,
-							(char *)NULL);
-			);
 			/* Do assignment if command line prefixed with "=" */
 			if (rule->assign) {
 				result = build_ok;
@@ -1857,22 +1819,9 @@
 				               /* BOOLEAN(rule->silent &&
 				                       rule->ignore_error), */
 				               (Boolean) rule->always_exec,
-				               target,
-				               send_mtool_msgs);
+				               target);
 				check_state(temp_file_name);
 			}
-			SEND_MTOOL_MSG(
-				append_job_result_msg(job_result_msg);
-				if (child_pid > 0) {
-					kill(child_pid, SIGUSR1);
-					while (!((waitpid(child_pid, 0, 0) == -1)
-						&& (errno == ECHILD)));
-				}
-				child_pid = 0;
-				(void) unlink(stdout_file);
-				retmem_mb(stdout_file);
-				stdout_file = NULL;
-			);
 		} else {
 			result = build_ok;
 		}
@@ -1880,21 +1829,9 @@
 			if (silent || rule->silent) {
 				(void) printf(catgets(catd, 1, 242, "The following command caused the error:\n%s\n"),
 				              rule->command_line->string_mb);
-				SEND_MTOOL_MSG(
-					job_result_msg->appendOutput(AVO_STRDUP(catgets(catd, 1, 243, "The following command caused the error:")));
-					job_result_msg->appendOutput(AVO_STRDUP(rule->command_line->string_mb));
-				);
 			}
 			if (!rule->ignore_error && !ignore_errors) {
 				if (!continue_after_error) {
-					SEND_MTOOL_MSG(
-						job_result_msg->setResult(job_msg_id, (result == build_ok) ? 0 : 1, DONE);
-						xdr_msg = (RWCollectable*)
-							job_result_msg;
-						xdr(&xdrs, xdr_msg);
-						(void) fflush(mtool_msgs_fp);
-						delete job_result_msg;
-					);
 					fatal(catgets(catd, 1, 244, "Command failed for target `%s'"),
 					      target->string_mb);
 				}
@@ -1914,14 +1851,6 @@
 		free(rule);
 	}
 	command = NULL;
-	SEND_MTOOL_MSG(
-		job_result_msg->setResult(job_msg_id, (result == build_ok) ? 0 : 1, DONE);
-		xdr_msg = (RWCollectable*) job_result_msg;
-		xdr(&xdrs, xdr_msg);
-		(void) fflush(mtool_msgs_fp);
-
-		delete job_result_msg;
-	);
 	if (temp_file_name != NULL) {
 		free_name(temp_file_name);
 	}
@@ -2583,21 +2512,6 @@
 	Name			touch_cmd;
 	Cmd_line		rule;
 
-
-	SEND_MTOOL_MSG(
-		if (!sent_rsrc_info_msg) {
-			if (userName[0] == '\0') {
-				avo_get_user(userName, NULL);
-			}
-			if (hostName[0] == '\0') {
-				strcpy(hostName, avo_hostname());
-			}
-			send_rsrc_info_msg(1, hostName, userName);
-			sent_rsrc_info_msg = 1;
-		}
-		send_job_start_msg(line);
-		job_result_msg = new Avo_MToolJobResultMsg();
-	);
 	for (name = target, target_group = NULL; name != NULL;) {
 		if (!name->is_member) {
 			/*
@@ -2627,53 +2541,15 @@
 			    do_not_exec_rule &&
 			    (target_group == NULL)) {
 				(void) printf("%s\n", touch_cmd->string_mb);
-				SEND_MTOOL_MSG(
-					job_result_msg->appendOutput(AVO_STRDUP(touch_cmd->string_mb));
-				);
 			}
 			/* Run the touch command, or simulate it */
 			if (!do_not_exec_rule) {
-
-				SEND_MTOOL_MSG(
-					(void) sprintf(mbstring,
-							NOCATGETS("%s/make.stdout.%d.%d.XXXXXX"),
-							tmpdir,
-							getpid(),
-							file_number++);
-				
-					int tmp_fd = mkstemp(mbstring);
-					if(tmp_fd) {
-						(void) close(tmp_fd);
-					}
-
-					stdout_file = strdup(mbstring);
-					stderr_file = NULL;
-					child_pid = pollResults(stdout_file,
-								(char *)NULL,
-								(char *)NULL);
-				);
-
 				result = dosys(touch_cmd,
 					       false,
 					       false,
 					       false,
 					       false,
-					       name,
-					       send_mtool_msgs);
-
-				SEND_MTOOL_MSG(
-					append_job_result_msg(job_result_msg);
-					if (child_pid > 0) {
-						kill(child_pid, SIGUSR1);
-						while (!((waitpid(child_pid, 0, 0) == -1)
-							&& (errno == ECHILD)));
-					}
-					child_pid = 0;
-					(void) unlink(stdout_file);
-					retmem_mb(stdout_file);
-					stdout_file = NULL;
-				);
-
+					       name);
 			} else {
 				result = build_ok;
 			}
@@ -2691,13 +2567,6 @@
 			name = NULL;
 		}
 	}
-	SEND_MTOOL_MSG(
-		job_result_msg->setResult(job_msg_id, (result == build_ok) ? 0 : 1, DONE);
-		xdr_msg = (RWCollectable*) job_result_msg;
-		xdr(&xdrs, xdr_msg);
-		(void) fflush(mtool_msgs_fp);
-		delete job_result_msg;
-	);
 	return result;
 }
 
--- old/usr/src/cmd/make/bin/dosys.cc	2015-05-20 12:17:19.019964868 -0400
+++ new/usr/src/cmd/make/bin/dosys.cc	2015-05-20 12:17:19.031595314 -0400
@@ -79,7 +79,7 @@
  *		working_on_targets We started processing real targets
  */
 Doname
-dosys(register Name command, register Boolean ignore_error, register Boolean call_make, Boolean silent_error, Boolean always_exec, Name target, Boolean redirect_out_err)
+dosys(register Name command, register Boolean ignore_error, register Boolean call_make, Boolean silent_error, Boolean always_exec, Name target)
 {
 	timestruc_t		before;
 	register int		length = command->hash.length;
@@ -124,12 +124,11 @@
 		  target,
 		  wcb.get_string(),
                   command->meta ?
-	            doshell(q, ignore_error, redirect_out_err,
+	            doshell(q, ignore_error, 
 			    stdout_file, stderr_file, 0) :
-	            doexec(q, ignore_error, redirect_out_err,
+	            doexec(q, ignore_error, 
 		 	   stdout_file, stderr_file,
 	                   vroot_path, 0),
-	          send_mtool_msgs,
                   NULL,
                   -1
 	          )) {
--- old/usr/src/cmd/make/bin/globals.cc	2015-05-20 12:17:19.428717849 -0400
+++ new/usr/src/cmd/make/bin/globals.cc	2015-05-20 12:17:19.440721844 -0400
@@ -110,7 +110,6 @@
 	char		mbs_buffer2[(MAXPATHLEN * MB_LEN_MAX)];
 	char		*mbs_ptr;
 	char		*mbs_ptr2;
-	int		mtool_msgs_fd;
 	Boolean		depinfo_already_read = false;
 	Boolean		no_action_was_taken = true;	/* true if we've not **
 							** run any command   */
@@ -148,7 +147,6 @@
 	Cmd_line	get_rule;
 	Name		get_posix_name;
 	Cmd_line	get_posix_rule;
-	Boolean		send_mtool_msgs;		/* `-K' */
 	Boolean		all_precious;
 	Boolean		silent_all;			/* `-s' */
 	Boolean		report_cwd;			/* `-w' */
--- old/usr/src/cmd/make/bin/main.cc	2015-05-20 12:17:19.850512412 -0400
+++ new/usr/src/cmd/make/bin/main.cc	2015-05-20 12:17:19.863367100 -0400
@@ -1314,7 +1314,6 @@
  *		quest			Set for make -q
  *		read_trace_level	Set for make -D
  *		report_dependencies	Set for make -P
- *		send_mtool_msgs		Set for make -K
  *		silent_all		Set for make -s
  *		touch			Set for make -t
  */
@@ -1435,12 +1434,8 @@
 			do_not_exec_rule = true;
 		}
 		return 0;
-	case 'O':			 /* Send job start & result msgs */
-		if (invert_this) {
-			send_mtool_msgs = false;
-		} else {
-		}
-		return 128;
+	case 'O':			 /* Integrate with maketool, obsolete */
+		return 0;
 	case 'o':			 /* Use alternative dmake output dir */
 		if (invert_this) {
 			dmake_odir_specified = false;
@@ -2498,18 +2493,6 @@
 				MBSTOWCS(wcs_buffer, NOCATGETS("DMAKE_MODE"));
 				name = GETNAME(wcs_buffer, FIND_LENGTH);
 				break;
-			case 128: /* -O seen */
-				if (argv[i+1] == NULL) {
-					fatal(catgets(catd, 1, 287, "No file descriptor argument after -O flag"));
-				}
-				mtool_msgs_fd = atoi(argv[i+1]);
-				/* find out if mtool_msgs_fd is a valid file descriptor */
-				if (fstat(mtool_msgs_fd, &statbuf) < 0) {
-					fatal(catgets(catd, 1, 355, "Invalid file descriptor %d after -O flag"), mtool_msgs_fd);
-				}
-				argv[i] = NULL;
-				argv[i+1] = NULL;
-				continue;
 			case 256: /* -K seen */
 				if (argv[i+1] == NULL) {
 					fatal(catgets(catd, 1, 288, "No makestate filename argument after -K flag"));
@@ -3205,43 +3188,6 @@
 	return;
 }
 
-#ifdef TEAMWARE_MAKE_CMN
-/*
- * This function, if registered w/ avo_cli_get_license(), will be called
- * if the application is about to exit because:
- *   1) there has been certain unrecoverable error(s) that cause the
- *      application to exit immediately.
- *   2) the user has lost a license while the application is running.
- */
-extern "C" void
-dmake_exit_callback(void)
-{
-	fatal(catgets(catd, 1, 306, "can not get a license, exiting..."));
-	exit(1);
-}
-
-/*
- * This function, if registered w/ avo_cli_get_license(), will be called
- * if the application can not get a license.
- */
-extern "C" void
-dmake_message_callback(char *err_msg)
-{
-	static Boolean	first = true;
-
-	if (!first) {
-		return;
-	}
-	first = false;
-	if ((!list_all_targets) &&
-	    (report_dependencies_level == 0) &&
-	    (dmake_mode_type != serial_mode)) {
-		warning(catgets(catd, 1, 313, "can not get a TeamWare license, defaulting to serial mode..."));
-	}
-}
-#endif
-
-
 static void
 report_dir_enter_leave(Boolean entering)
 {
--- old/usr/src/cmd/make/bin/parallel.cc	2015-05-20 12:17:20.491708629 -0400
+++ new/usr/src/cmd/make/bin/parallel.cc	2015-05-20 12:17:20.503627796 -0400
@@ -1144,11 +1144,7 @@
 			;
 		}
 		if (rp == NULL) {
-			if (send_mtool_msgs) {
-				continue;
-			} else {
-				fatal(catgets(catd, 1, 128, "Internal error: returned child pid not in running_list"));
-			}
+			fatal(catgets(catd, 1, 128, "Internal error: returned child pid not in running_list"));
 		} else {
 			rp->state = (WIFEXITED(status) && WEXITSTATUS(status) == 0) ? build_ok : build_failed;
 		}
@@ -1838,8 +1834,7 @@
 			               false, /* bugs #4085164 & #4990057 */
 			               /* BOOLEAN(silent_flag && ignore), */
 			               always_exec, 
-			               (Name) NULL,
-			               false);
+			               (Name) NULL);
 			if (result == build_failed) {
 				if (silent_flag) {
 					(void) printf(catgets(catd, 1, 152, "The following command caused the error:\n%s\n"), command->string_mb);
--- old/usr/src/cmd/make/include/mk/defs.h	2015-05-20 12:17:21.041132098 -0400
+++ new/usr/src/cmd/make/include/mk/defs.h	2015-05-20 12:17:21.052991672 -0400
@@ -230,7 +230,6 @@
 extern	char		*mbs_ptr;
 extern	char		*mbs_ptr2;
 extern	Boolean		no_action_was_taken;
-extern	int		mtool_msgs_fd;
 extern	Boolean		no_parallel;
 extern	Name		no_parallel_name;
 extern	Name		not_auto;
@@ -264,7 +263,6 @@
 extern	Name		get_posix_name;
 extern	Cmd_line	get_rule;
 extern	Cmd_line	get_posix_rule;
-extern	Boolean		send_mtool_msgs;
 extern	Boolean		all_precious;
 extern	Boolean		report_cwd;
 extern	Boolean		silent_all;
@@ -323,7 +321,7 @@
 extern	Doname		doname(register Name target, register Boolean do_get, register Boolean implicit, register Boolean automatic = false);
 extern	Doname		doname_check(register Name target, register Boolean do_get, register Boolean implicit, register Boolean automatic);
 extern	Doname		doname_parallel(Name target, Boolean do_get, Boolean implicit);
-extern	Doname		dosys(register Name command, register Boolean ignore_error, register Boolean call_make, Boolean silent_error, Boolean always_exec, Name target, Boolean redirect_out_err);
+extern	Doname		dosys(register Name command, register Boolean ignore_error, register Boolean call_make, Boolean silent_error, Boolean always_exec, Name target);
 extern	void		dump_make_state(void);
 extern	void		dump_target_list(void);
 extern	void		enter_conditional(register Name target, Name name, Name value, register Boolean append);
@@ -351,7 +349,6 @@
 extern  void		gather_recursive_deps(void);
 extern	char		*get_current_path(void);
 extern	int		get_job_msg_id(void);
-extern	FILE		*get_mtool_msgs_fp(void);
 extern	wchar_t		*getmem_wc(register int size);
 /* On linux getwd(char *) is defined in 'unistd.h' */
 #ifdef __cplusplus
--- old/usr/src/cmd/make/include/mksh/dosys.h	2015-05-20 12:17:21.526861486 -0400
+++ new/usr/src/cmd/make/include/mksh/dosys.h	2015-05-20 12:17:21.539263737 -0400
@@ -28,10 +28,10 @@
 #include <mksh/defs.h>
 #include <vroot/vroot.h>
 
-extern Boolean	await(register Boolean ignore_error, register Boolean silent_error, Name target, wchar_t *command, pid_t running_pid, Boolean send_mtool_msgs, void *xdrs, int job_msg_id);
-extern int	doexec(register wchar_t *command, register Boolean ignore_error, Boolean redirect_out_err, char *stdout_file, char *stderr_file, pathpt vroot_path, int nice_prio);
-extern int	doshell(wchar_t *command, register Boolean ignore_error, Boolean redirect_out_err, char *stdout_file, char *stderr_file, int nice_prio);
-extern Doname	dosys_mksh(register Name command, register Boolean ignore_error, register Boolean call_make, Boolean silent_error, Boolean always_exec, Name target, Boolean redirect_out_err, char *stdout_file, char *stderr_file, pathpt vroot_path, int nice_prio);
+extern Boolean	await(register Boolean ignore_error, register Boolean silent_error, Name target, wchar_t *command, pid_t running_pid, void *xdrs, int job_msg_id);
+extern int	doexec(register wchar_t *command, register Boolean ignore_error, char *stdout_file, char *stderr_file, pathpt vroot_path, int nice_prio);
+extern int	doshell(wchar_t *command, register Boolean ignore_error, char *stdout_file, char *stderr_file, int nice_prio);
+extern Doname	dosys_mksh(register Name command, register Boolean ignore_error, register Boolean call_make, Boolean silent_error, Boolean always_exec, Name target, char *stdout_file, char *stderr_file, pathpt vroot_path, int nice_prio);
 extern void	redirect_io(char *stdout_file, char *stderr_file);
 extern void	sh_command2string(register String command, register String destination);
 
--- old/usr/src/cmd/make/lib/mksh/dosys.cc	2015-05-20 12:17:21.942587258 -0400
+++ new/usr/src/cmd/make/lib/mksh/dosys.cc	2015-05-20 12:17:21.954326994 -0400
@@ -49,13 +49,6 @@
 #include <ulimit.h>		/* ulimit() */
 #include <unistd.h>		/* close(), dup2() */
 
-
-
-/*
- * Defined macros
- */
-#define SEND_MTOOL_MSG(cmds)
-
 /*
  * typedefs & structs
  */
@@ -136,121 +129,6 @@
 }
 
 /*
- *	dosys_mksh(command, ignore_error, call_make, silent_error, target)
- *
- *	Check if command string contains meta chars and dispatch to
- *	the proper routine for executing one command line.
- *
- *	Return value:
- *				Indicates if the command execution failed
- *
- *	Parameters:
- *		command		The command to run
- *		ignore_error	Should we abort when an error is seen?
- *		call_make	Did command reference $(MAKE) ?
- *		silent_error	Should error messages be suppressed for dmake?
- *		target		Target we are building
- *
- *	Global variables used:
- *		do_not_exec_rule Is -n on?
- *		working_on_targets We started processing real targets
- */
-Doname
-dosys_mksh(register Name command, register Boolean ignore_error, register Boolean call_make, Boolean silent_error, Boolean always_exec, Name target, Boolean redirect_out_err, char *stdout_file, char *stderr_file, pathpt vroot_path, int nice_prio)
-{
-	register int		length = command->hash.length;
-	register wchar_t	*p;
-	register wchar_t	*q;
-	register wchar_t	*cmd_string;
-	struct stat		before;
-	Doname			result;
-	Boolean			working_on_targets_mksh = true;
-	Wstring wcb(command);
-	p = wcb.get_string();
-	cmd_string = p;
-
-	/* Strip spaces from head of command string */
-	while (iswspace(*p)) {
-		p++, length--;
-	}
-	if (*p == (int) nul_char) {
-		return build_failed;
-	}
-	/* If we are faking it we just return */
-	if (do_not_exec_rule &&
-	    working_on_targets_mksh &&
-	    !call_make &&
-	    !always_exec) {
-		return build_ok;
-	}
-
-	/* Copy string to make it OK to write it. */
-	q = ALLOC_WC(length + 1);
-	(void) wscpy(q, p);
-	/* Write the state file iff this command uses make. */
-/* XXX - currently does not support recursive make's, $(MAKE)'s
-	if (call_make && command_changed) {
-		write_state_file(0, false);
-	}
-	(void) stat(make_state->string_mb, &before);
- */
-	/*
-	 * Run command directly if it contains no shell meta chars,
-	 * else run it using the shell.
-	 */
-	/* XXX - command->meta *may* not be set correctly */
-	if (await(ignore_error,
-		  silent_error,
-		  target,
-		  cmd_string,
-                  command->meta ?
-	            doshell(q, ignore_error, redirect_out_err, stdout_file, stderr_file, nice_prio) :
-	            doexec(q, ignore_error, redirect_out_err, stdout_file, stderr_file, vroot_path, nice_prio),
-	          false,
-	          NULL,
-	          -1)) {
-
-#ifdef PRINT_EXIT_STATUS
-		warning_mksh(NOCATGETS("I'm in dosys_mksh(), and await() returned result of build_ok."));
-#endif
-
-		result = build_ok;
-	} else {
-
-#ifdef PRINT_EXIT_STATUS
-		warning_mksh(NOCATGETS("I'm in dosys_mksh(), and await() returned result of build_failed."));
-#endif
-
-		result = build_failed;
-	}
-	retmem(q);
-
-/* XXX - currently does not support recursive make's, $(MAKE)'s
-	if ((report_dependencies_level == 0) &&
-	    call_make) {
-		make_state->stat.time = (time_t)file_no_time;
-		(void)exists(make_state);
-		if (before.st_mtime == make_state->stat.time) {
-			return result;
-		}
-		makefile_type = reading_statefile;
-		if (read_trace_level > 1) {
-			trace_reader = true;
-		}
-		(void) read_simple_file(make_state,
-					false,
-					false,
-					false,
-					false,
-					false,
-					true);
-		trace_reader = false;
-	}
- */
-	return result;
-}
-
-/*
  *	doshell(command, ignore_error)
  *
  *	Used to run command lines that include shell meta-characters.
@@ -268,7 +146,7 @@
  *		shell_name	The Name "SHELL", used to get the path to shell
  */
 int
-doshell(wchar_t *command, register Boolean ignore_error, Boolean redirect_out_err, char *stdout_file, char *stderr_file, int nice_prio)
+doshell(wchar_t *command, register Boolean ignore_error, char *stdout_file, char *stderr_file, int nice_prio)
 {
 	char			*argv[6];
 	int			argv_index = 0;
@@ -316,9 +194,6 @@
 	(void) fflush(stdout);
 	if ((childPid = fork()) == 0) {
 		enable_interrupt((void (*) (int)) SIG_DFL);
-		if (redirect_out_err) {
-			redirect_io(stdout_file, stderr_file);
-		}
 #if 0
 		if (filter_stderr) {
 			redirect_stderr();
@@ -436,7 +311,7 @@
  *		filter_stderr	If -X is on we redirect stderr
  */
 int
-doexec(register wchar_t *command, register Boolean ignore_error, Boolean redirect_out_err, char *stdout_file, char *stderr_file, pathpt vroot_path, int nice_prio)
+doexec(register wchar_t *command, register Boolean ignore_error, char *stdout_file, char *stderr_file, pathpt vroot_path, int nice_prio)
 {
 	int			arg_count = 5;
 	char			**argv;
@@ -514,9 +389,6 @@
 	(void) fflush(stdout);
 	if ((childPid = fork()) == 0) {
 		enable_interrupt((void (*) (int)) SIG_DFL);
-		if (redirect_out_err) {
-			redirect_io(stdout_file, stderr_file);
-		}
 #if 0
 		if (filter_stderr) {
 			redirect_stderr();
@@ -559,7 +431,7 @@
  *		filter_stderr	Set if -X is on
  */
 Boolean
-await(register Boolean ignore_error, register Boolean silent_error, Name target, wchar_t *command, pid_t running_pid, Boolean send_mtool_msgs, void *xdrs_p, int job_msg_id)
+await(register Boolean ignore_error, register Boolean silent_error, Name target, wchar_t *command, pid_t running_pid, void *xdrs_p, int job_msg_id)
 {
         int                     status;
 	char			*buffer;
@@ -606,60 +478,29 @@
 	 * If the child returned an error, we now try to print a
 	 * nice message about it.
 	 */
-	SEND_MTOOL_MSG(
-		make_output_msg = new Avo_CmdOutput();
-		(void) sprintf(tmp_buf, "%d", job_msg_id);
-		make_output_msg->appendOutput(strdup(tmp_buf));
-	);
-
+	
 	tmp_buf[0] = (int) nul_char;
 	if (!silent_error) {
 		if (exit_status != 0) {
 			(void) fprintf(stdout,
 				       catgets(libmksdmsi18n_catd, 1, 103, "*** Error code %d"),
 				       exit_status);
-			SEND_MTOOL_MSG(
-				(void) sprintf(&tmp_buf[strlen(tmp_buf)],
-					       catgets(libmksdmsi18n_catd, 1, 104, "*** Error code %d"),
-					       exit_status);
-			);
 		} else {
 				(void) fprintf(stdout,
 					       catgets(libmksdmsi18n_catd, 1, 105, "*** Signal %d"),
 					       termination_signal);
-				SEND_MTOOL_MSG(
-					(void) sprintf(&tmp_buf[strlen(tmp_buf)],
-						       catgets(libmksdmsi18n_catd, 1, 106, "*** Signal %d"),
-						       termination_signal);
-				);
 			if (core_dumped) {
 				(void) fprintf(stdout,
 					       catgets(libmksdmsi18n_catd, 1, 107, " - core dumped"));
-				SEND_MTOOL_MSG(
-					(void) sprintf(&tmp_buf[strlen(tmp_buf)],
-						       catgets(libmksdmsi18n_catd, 1, 108, " - core dumped"));
-				);
 			}
 		}
 		if (ignore_error) {
 			(void) fprintf(stdout,
 				       catgets(libmksdmsi18n_catd, 1, 109, " (ignored)"));
-			SEND_MTOOL_MSG(
-				(void) sprintf(&tmp_buf[strlen(tmp_buf)],
-					       catgets(libmksdmsi18n_catd, 1, 110, " (ignored)"));
-			);
 		}
 		(void) fprintf(stdout, "\n");
 		(void) fflush(stdout);
-		SEND_MTOOL_MSG(
-			make_output_msg->appendOutput(strdup(tmp_buf));
-		);
-	}
-	SEND_MTOOL_MSG(
-		xdr_msg = (RWCollectable*) make_output_msg;
-		xdr(xdrs_p, xdr_msg);
-		delete make_output_msg;
-	);
+	}
 
 #ifdef PRINT_EXIT_STATUS
 	warning_mksh(NOCATGETS("I'm in await(), returning failed."));
